Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.commons
[Java] Interface ExternalGrailsDomainClass

    org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAware
      org.codehaus.groovy.grails.commons.GrailsDomainClass
          org.codehaus.groovy.grails.commons.ExternalGrailsDomainClass
              org.codehaus.groovy.grails.commons.GrailsClass

All Superinterfaces:
  GrailsApplicationAware, GrailsDomainClass, GrailsClass

    public interface ExternalGrailsDomainClass
    extends GrailsDomainClass

Represents a persistable Grails domain class that is externally mapped. This is essentially a marker interface so that Grails knows to treat these differently.

Authors:
  Graeme Rocher

Field Summary

Fields inherited from interface GrailsDomainClass
GORM, ORM_MAPPING

Method Summary

Methods inherited from interface GrailsDomainClass
getAssociationMap, getConstrainedProperties, getFieldName, getIdentifier, getMappedBy, getMappingStrategy, getPersistantProperties, getPersistentProperties, getPersistentProperty, getProperties, getPropertyByName, getPropertyName, getRelatedClassType, getSubClasses, getValidator, getVersion, hasPersistentProperty, hasSubClasses, isBidirectional, isManyToOne, isOneToMany, isOwningClass, isRoot, refreshConstraints, setMappingStrategy, setValidator

Methods inherited from interface GrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance

Methods inherited from interface GrailsApplicationAware
setGrailsApplication

Groovy Documentation